## org.codehaus.groovy.grails.validation
Class MaxSizeConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.MaxSizeConstraint

All Implemented Interfaces:
  Constraint

     class MaxSizeConstraint

extends AbstractConstraint

A constraint that validates maximum size of the property, for strings and arrays this is the length, collections the size and numbers the value

Since:
  0.4

  Created: Jan 19, 2007 Time: 8:29:02 AM
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

Constructor Summary
`MaxSizeConstraint()`

Method Summary
`int` `getMaxSize()`
`String` `getName()`
`protected void` `processValidate(Object target, Object propertyValue, Errors errors)`
`void` `setParameter(Object constraintParameter)` The parameter which the constraint is validated against
`boolean` `supports(Class type)` Returns whether the constraint supports being applied against the specified type;

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`checkState, getDefaultMessage, getPropertyName, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setPropertyName, skipBlankValues, skipNullValues, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaxSizeConstraint

    MaxSizeConstraint()

Method Detail

### getMaxSize

    public int getMaxSize()

  Returns:
    Returns the maxSize.

### setParameter

    public void setParameter(Object constraintParameter)

  Description copied from interface: `Constraint`
  The parameter which the constraint is validated against

  Specified by:
    `setParameter` in interface `Constraint`
  Overrides:
    `setParameter` in class `AbstractConstraint`
  Parameters:
    `constraintParameter` - The constraintParameter to set.

### getName

    public String getName()

  Returns:
    The name of the constraint

### supports

    public boolean supports(Class type)

  Description copied from interface: `Constraint`
  Returns whether the constraint supports being applied against the specified type;

  Parameters:
    `type` - The type to support
  Returns:
    True if the constraint can be applied against the specified type

### processValidate

    protected void processValidate(Object target,
                                   Object propertyValue,
                                   Errors errors)

  Specified by:
    `processValidate` in class `AbstractConstraint`

Copyright (c) 2005-2006 The Grails project